# All entries must be in lower case, the scripts will normalize all hostnames to lowercase to match.
---
azureNPD01:
  id: 1
  jobs:
    - "none"
  vms:
    # INC0410358
    - "^itd\\S+pamac[0-9]+"
    - "^itd\\S+pamac\\S+[0-9]+"
    - "^vm-itd\\S+pamac[0-9]+"
    - "^vm-itd\\S+pamac\\S+[0-9]+"
    # INC0410366
    - "sntest"
    # INC0572225
    - "itdsosblscmtwt1"
  templates:
    - "[a-z]*"
azurePRD01:
  id: 37
  jobs:
    - "none"
  vms:
    # INC0410358
    - "^itd\\S+pamac[0-9]+"
    - "^itd\\S+pamac\\S+[0-9]+"
    - "^vm-itd\\S+pamac[0-9]+"
    - "^vm-itd\\S+pamac\\S+[0-9]+"
    # INC0410366
    - "sntest"
  templates:
    - "[a-z]*"
azureCARES01:
  id: 4
  jobs:
    - "none"
  vms:
    - "itdmltesting"
    # INC0410358
    - "^itd\\S+pamac[0-9]+"
    - "^itd\\S+pamac\\S+[0-9]+"
    - "^vm-itd\\S+pamac[0-9]+"
    - "^vm-itd\\S+pamac\\S+[0-9]+"
    # INC0410366
    - "sntest"
  templates:
    - "[a-z]*"
azureINFRA01:
  id: 28
  jobs:
    # INC0410358
    - "Infra-Networking-PA@infra01"
    # INC0199104
    - "Infra-Azure-Networking-Infoblox@infra01"
  vms:
    # INC0410358
    - "^itd\\S+pamac[0-9]+"
    - "^itd\\S+pamac\\S+[0-9]+"
    - "itdinfrapanoramalab-prd-400"
    - "^vm-itd\\S+pamac[0-9]+"
    - "^vm-itd\\S+pamac\\S+[0-9]+"
    - "vm-itdinf01exmac01-prd-001"
    - "vm-itdinf01exmac02-prd-001"
    - "itdinf01exmac01-prd-001"
    - "itdinf01exmac02-prd-001"
    - "vm-itdinfra01sharedbackuppamac001-prd-001"
    - "vm-itdinfra01sharedbackuppamac002-prd-002"
    - "itdinfra01sharedbackuppamac001-prd-001"
    - "itdinfra01sharedbackuppamac002-prd-002"
    # INC0199104
    - "^vm-ns[0-9]+-prd-[0-9]+"
    - "ns13.ns.nd.gov"
    - "ns14.ns.nd.gov"
    # INC0422813, INC0422812
    - "(^vm?|^itd?)\\S+infra\\S+srx\\S+"
    # INC0422811
    - "itdnettestingsrx"
    # Documented exception, these are the cohesity servers themselves
    - "sa[0-9]*"
    # INC0410366
    - "sntest"
  templates:
    - "[a-z]*"
azurePAAS01:
  id: 12226
  jobs:
    - "Infra-Networking-PA@NDIT-PaaS"
  vms:
    - "^vm-itd\\S+pamac[0-9]+"
    - "^vm-itd\\S+pamac\\S+us[0-9]+"
  templates:
    - "[a-z]*"
itdvmvc2:
  id: 1
  jobs:
    - "ITD-POC-zmeier@itdvmvc2"
  vms:
    # INC0410366
    - "clone"
    - "delete"
    - "broken"
    - "itdzmtest"
    - "sntest"
    # RITM0413140
    - "^itdnessus[0-9]+"
  templates:
    - "[a-z]*"
itdvmvc1:
  id: 3156
  jobs:
    # INC0428498
    - "itd-poc-zmeier@itdvmvc1"
    - "ITD-POC-zmeier@itdvmvc1"
    # INC0468249
    - "NDPERS-Applications@physical"
  sql:
    # DBA's are using RedGate on this server
    - "itdsql16p3.nd.gov"
  vms:
    # RITM0413140
    - "^itdnessus[0-9]+"
    # INC0199104
    - "infoblox-egmv1.ns.nd.gov"
    - "infoblox-gmv1.ns.nd.gov"
    - "vm-ns4.ndnic.com-prd-400"
    # INC0152611
    - "itdavayarec.nd.gov"
    - "itdbiscmsvra.nd.gov"
    - "itdbiscmsvrb.nd.gov"
    - "itdwfoaes4.nd.gov"
    # INC0410383
    - "itdcaldera1"
    - "itdcuckoo1"
    - "itdcape1"
    - "itdcape2"
    - "itdremnux"
    - "itdflarevm" 
    # INC0863784
    - "itdflare335566"
    # INC0488924
    - "itdremworkstation.nd.gov"
    - "itdremworkstation"
    # INC0410366
    - "sntest"
    - "clone"
    - "delete"
    - "broken"
    - "itdzmtest"
    # INC0488902 / 20250310 (vantis)
    - "admin_vm"
    - "controller0"
    - "controller1"
    - "controller2"
    - "worker0"
    - "worker1"
    - "worker2"
    - "worker3"
    - "security"
    - "bastion"
    - "admin"
    # INC0848221
    - "Windows Server 2025 Standard 24H2.6"
    - "Windows 11 LTSC 2024"
  templates:
    - "[a-z]*"
itdvmvct1:
  id: 8557
  jobs:
    - "[a-z]*"
  vms:
    - "[a-z]*"
    - "sntest"
  templates:
    - "[a-z]*"
